
-- DROP TABLE tl_payment_plan;




CREATE TABLE tl_payment_plan (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    ,
    stripe_reference varchar2(100) NOT NULL,
    plan_name clob NULL,
    description clob NULL,
    currency_type varchar2(200) NOT NULL,
    amount number(20,5) NOT NULL,
    interval varchar2(200) NOT NULL,
    interval_count number(12) NOT NULL,
    trial_period_days number(12) NULL,
    active_job_count number(12) NULL
    );



ALTER TABLE tl_payment_plan ADD    
    CONSTRAINT PK_tl_payment_plan PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    